Robotics Service Bus - Bug #2576

Bug # 2575 (Resolved): Unable to build rsb-spread 0.13 with gcc (GCC) 6.1.1 20160602

Error during build of rsb-spread 0.13: no matching function for call
06/21/2016 06:51 PM - N. Késter

Status: Resolved Start date: 06/21/2016
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: Spread Connector Estimated time: 0.00 hour
Target version: rsb-0.15

Description

Build output {{collapse(HERE)

[/media/local_data/nkoester/jenkins/Itm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/build/] make -j2 -k
[ 10%] Built target gmock
[ 67%)] Built target rsbspread
[ 71%)] Building CXX object test/CMakeFiles/rsbspread-test.dir/rsb/transport/spread/SpreadConnectionTest.cpp.o
[ 75%] Building CXX object test/CMakeFiles/rsbspread-test.dir/rsb/transport/spread/AssemblyTest.cpp.o
In file included from
/media/local_data/nkoester/jenkins/Itm-system/jobs/rsb-spread-cpp-0.13-toolkit-Itm-nightly/workspace/build/gmock-1.7.0/gtest/include/gtes’
nclude/gtest/gtest.h:58:0,
from
/media/local_data/nkoester/jenkins/Itm-system/jobs/rsb-spread-cpp-0.13-toolkit-Itm-nightly/workspace/test/rsb/transport/spread/Assembly T
/AssemblyTest.cpp:30:
/media/local_data/nkoester/jenkins/Itm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/test/rsb/transport/spread/Assembly T
/AssemblyTest.cpp: In member function ‘virtual void AssemblyPoolTest_testAssembly_Test::TestBody()’:
/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/test/rsb/transport/spread/Assembly T
/AssemblyTest.cpp:149:9: error: no matching function for call to
‘testing::AssertionResult::AssertionResult(rsb::protocol::NotificationPtr&)’
ASSERT_TRUE(result);
A
In file included from
/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/test/rsb/transport/spread/Assembly T
/AssemblyTest.cpp:30:0:
/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/build/gmock-1.7.0/gtest/incluge/gtes!
nclude/gtest/gtest.h:262:12: note: candidate: testing::AssertionResult::AssertionResult(bool)
explicit AssertionResult(bool success) : success_(success) {}

/media/local_data/nkoester/jenkins/Itm-system/jobs/rsb-spread-cpp-0.13-toolkit-Itm-nightly/workspace/build/gmock-1.7.0/gtest/include/gtes’

nclude/gtest/gtest.h:262:12: note: no known conversion for argument 1 from ‘rsb::protocol::NotificationPtr {aka

boost::shared_ptr<rsb::protocol::Notification>}’ to ‘bool’

/media/local_data/nkoester/jenkins/Itm-system/jobs/rsb-spread-cpp-0.13-toolkit-Itm-nightly/workspace/build/gmock-1.7.0/gtest/include/gtes’

nclude/gtest/gtest.h:260:3: note: candidate: testing::AssertionResult::AssertionResult(const testing::AssertionResult&)
AssertionResult(const AssertionResult& other);

/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/build/gmock-1.7.0/gtest/include/gtest

nclude/gtest/gtest.h:260:3: note: no known conversion for argument 1 from ‘rsb::protocol::NotificationPtr {aka

boost::shared_ptr<rsb::protocol::Notification>}’ to ‘const testing::AssertionResult&’

In file included from

/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/build/gmock-1.7.0/gtest/incluge/gtest

nclude/gtest/gtest.h:58:0,
from
/media/local_data/nkoester/jenkins/Itm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/test/rsb/transport/spread/Ass
/AssemblyTest.cpp:30:
/media/local_data/nkoester/jenkins/Itm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/test/rsb/transport/spread/Ass
/AssemblyTest.cpp:192:17: error: no matching function for call to
‘testing::AssertionResult::AssertionResult(rsb::protocol::NotificationPtr&)’

EXPECT_TRUE(result);

A
In file included from
/media/local_data/nkoester/jenkins/Itm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/test/rsb/transport/spread/Ass
/AssemblyTest.cpp:30:0:

embly T

embly T

embly T

/media/local_data/nkoester/jenkins/Itm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/build/gmock-1.7.0/gtest/include/gtest

nclude/gtest/gtest.h:262:12: note: candidate: testing::AssertionResult::AssertionResult(bool)
explicit AssertionResult(bool success) : success_(success) {}

/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/build/gmock-1.7.0/gtest/incluge/gtest

nclude/gtest/gtest.h:262:12: note: no known conversion for argument 1 from ‘rsb::protocol::NotificationPtr {aka
boost::shared_ptr<rsb::protocol::Notification>}’ to ‘bool’

/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/build/gmock-1.7.0/gtest/incluge/gtest

nclude/gtest/gtest.h:260:3: note: candidate: testing::AssertionResult::AssertionResult(const testing::AssertionResult&)
AssertionResult(const AssertionResult& other);

/media/local_data/nkoester/jenkins/Itm-system/jobs/rsb-spread-cpp-0.13-toolkit-Itm-nightly/workspace/build/gmock-1.7.0/gtest/include/gtes’

nclude/gtest/gtest.h:260:3: note: no known conversion for argument 1 from ‘rsb::protocol::NotificationPtr {aka
boost::shared_ptr<rsb::protocol::Notification>}’ to ‘const testing::AssertionResult&’
In file included from

/media/local_data/nkoester/jenkins/Itm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/build/gmock-1.7.0/gtest/include/gtest

nclude/gtest/gtest.h:58:0,
from

/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/test/rsb/transport/spread/Ass
/AssemblyTest.cpp:30:
/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/test/rsb/transport/spread/Ass
/AssemblyTest.cpp: In member function ‘virtual void AssemblyPoolTest_testPruningDefaultOff_Test::TestBody()’:
/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/test/rsb/transport/spread/Ass
/AssemblyTest.cpp:245:9: error: no matching function for call to
‘testing::AssertionResult::AssertionResult(rsb::protocol::NotificationPtr&)’

EXPECT_TRUE(result);

A
In file included from
/media/local_data/nkoester/jenkins/Itm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/test/rsb/transport/spread/Ass
/AssemblyTest.cpp:30:0:

embly T

embly T

embly T

embly T

/media/local_data/nkoester/jenkins/Itm-system/jobs/rsb-spread-cpp-0.13-toolkit-Itm-nightly/workspace/build/gmock-1.7.0/gtest/include/gtes’

nclude/gtest/gtest.h:262:12: note: candidate: testing::AssertionResult::AssertionResult(bool)
explicit AssertionResult(bool success) : success_(success) {}

/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/build/gmock-1.7.0/gtest/include/gtest

nclude/gtest/gtest.h:262:12: note: no known conversion for argument 1 from ‘rsb::protocol::NotificationPtr {aka
boost::shared_ptr<rsb::protocol::Notification>}’ to ‘bool’

/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/build/gmock-1.7.0/gtest/include/gtest

nclude/gtest/gtest.h:260:3: note: candidate: testing::AssertionResult::AssertionResult(const testing::AssertionResult&)
AssertionResult(const AssertionResult& other);

/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/build/gmock-1.7.0/gtest/include/gtest

nclude/gtest/gtest.h:260:3: note: no known conversion for argument 1 from ‘rsb::protocol::NotificationPtr {aka
1}

boost::shared_ptr<rsb::protocol::Notification>}’ to ‘const testing::AssertionResult&’
In file included from

/media/local_data/nkoester/jenkins/Itm-system/jobs/rsb-spread-cpp-0.13-toolkit-Itm-nightly/workspace/build/gmock-1.7.0/gtest/include/gtes!

nclude/gtest/gtest.h:58:0,
from

/media/local_data/nkoester/jenkins/Itm-system/jobs/rsb-spread-cpp-0.13-toolkit-Itm-nightly/workspace/test/rsb/transport/spread/Ass
/AssemblyTest.cpp:30:
/media/local_data/nkoester/jenkins/Itm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/test/rsb/transport/spread/Ass
/AssemblyTest.cpp: In member function ‘virtual void AssemblyPoolTest_testPruning_Test::TestBody()’:
/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/test/rsb/transport/spread/Ass
/AssemblyTest.cpp:343:13: error: no matching function for call to
‘testing::AssertionResult::AssertionResult(rsb::protocol::NotificationPtr&)’

EXPECT_TRUE(result);

A
In file included from
/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/test/rsb/transport/spread/Ass
/AssemblyTest.cpp:30:0:

embly T

embly T

embly T

ombly T

/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/build/gmock-1.7.0/gtest/incluge/gtest

nclude/gtest/gtest.h:262:12: note: candidate: testing::AssertionResult::AssertionResult(bool)
explicit AssertionResult(bool success) : success_(success) {}

/media/local_data/nkoester/jenkins/Itm-system/jobs/rsb-spread-cpp-0.13-toolkit-Itm-nightly/workspace/build/gmock-1.7.0/gtest/include/gtes’

nclude/gtest/gtest.h:262:12: note: no known conversion for argument 1 from ‘rsb::protocol::NotificationPtr {aka
boost::shared_ptr<rsb::protocol::Notification>}’ to ‘bool’

/media/local_data/nkoester/jenkins/Itm-system/jobs/rsb-spread-cpp-0.13-toolkit-Itm-nightly/workspace/build/gmock-1.7.0/gtest/include/gtes’

nclude/gtest/gtest.h:260:3: note: candidate: testing::AssertionResult::AssertionResult(const testing::AssertionResult&)
AssertionResult(const AssertionResult& other);

/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/build/gmock-1.7.0/gtest/include/gtest

nclude/gtest/gtest.h:260:3: note: no known conversion for argument 1 from ‘rsb::protocol::NotificationPtr {aka
boost::shared_ptr<rsb::protocol::Notification>}’ to ‘const testing::AssertionResult&’

make[2]: *** [test/CMakeFiles/rsbspread-test.dir/build.make:135:
test/CMakeFiles/rsbspread-test.dir/rsb/transport/spread/AssemblyTest.cpp.o] Error 1

[ 78%] Building CXX object test/CMakeFiles/rsbspread-test.dir/rsb/transport/spread/SpreadConnectorTest.cpp.o
[ 82%)] Building CXX object test/CMakeFiles/rsbspread-test.dir/rsb/transport/spread/SpreadMessageTest.cpp.o
[ 85%] Building CXX object test/CMakeFiles/rsbspread-test.dir/rsb/transport/spread/MembershipManagerTest.cpp.o
make[2]: Target 'test/CMakeFiles/rsbspread-test.dir/build’ not remade because of errors.

make[1]: *** [CMakeFiles/Makefile2:179: test/CMakeFiles/rsbspread-test.dir/all] Error 2

make[1]: Target 'all' not remade because of errors.

make: *** [Makefile:161: all] Error 2

make: Target 'default_target' not remade because of errors.

Please refer to issues #2575

Associated revisions

Revision 84e90191 - 07/06/2016 02:10 PM - J. Moringen

Avoid more implicit shared_ptr to bool conversions in tests
fixes #2576

Support for the implicit conversion has been removed in newer C++

versions.

- test/rsb/transport/spread/AssemblyTest.cpp: check pointer explicitly

instead of relying implicit shared_ptr to bool conversion

Revision e7324f41 - 07/06/2016 02:11 PM - J. Moringen

Backport: Avoid more implicit shared_ptr to bool conversions in tests

refs #2576

Support for the implicit conversion has been removed in newer C++

versions.

- test/rsb/transport/spread/AssemblyTest.cpp: check pointer explicitly

instead of relying implicit shared_ptr to bool conversion

(cherry picked from commit 84e9019106e5c86d5a5¢c79a6a80c1305a3c4a267)

Revision a6026d91 - 07/06/2016 02:12 PM - J. Moringen

Backport: Avoid more implicit shared_ptr to bool conversions in tests

refs #2576

Support for the implicit conversion has been removed in newer C++

versions.

- test/rsb/transport/spread/AssemblyTest.cpp: check pointer explicitly

instead of relying implicit shared_ptr to bool conversion

(cherry picked from commit 84e9019106e5c86d5a5¢c79a6a80c1305a3c4a267)

History

#1 - 06/21/2016 08:21 PM - J. Moringen
- Target version set to rsb-0.15

#2 - 07/06/2016 02:20 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:rsb-spread-cpp|84e9019106e5c86d5a5c79a6a80c1305a3c4a267.

#3 - 07/07/2016 10:09 AM - J. Moringen

- Assignee set to J. Moringen
